import { Keybinding, ResolvedKeybinding, SimpleKeybinding } from '@vscode/monaco-editor/esm/vs/base/common/keyCodes';
import { OperatingSystem } from '@vscode/monaco-editor/esm/vs/base/common/platform';
import { ScanCodeBinding } from '@vscode/monaco-editor/esm/vs/base/common/scanCode';
import { IKeyboardEvent } from '@vscode/monaco-editor/esm/vs/platform/keybinding/common/keybinding';
import { IKeyboardMapper } from '@workbench-stack/core';
export declare class MacLinuxFallbackKeyboardMapper implements IKeyboardMapper {
    private readonly _OS;
    constructor(OS: OperatingSystem);
    dumpDebugInfo(): string;
    resolveKeybinding(keybinding: Keybinding): ResolvedKeybinding[];
    resolveKeyboardEvent(keyboardEvent: IKeyboardEvent): ResolvedKeybinding;
    private _scanCodeToKeyCode;
    private _resolveSimpleUserBinding;
    resolveUserBinding(input: (SimpleKeybinding | ScanCodeBinding)[]): ResolvedKeybinding[];
}
