import * as React from 'react';
import { IMonacoEditorTextProps, IMonacoDiffEditorProps } from '@workbench-stack/components/lib/editors';
import { IEditorContributionProps } from '@workbench-stack/core';
import { IEditorComponentProps } from './editor';
export declare type IEditorTextProps = IMonacoEditorTextProps & IEditorComponentProps;
export declare type IEditorDiffTextProps = IMonacoDiffEditorProps & IEditorComponentProps;
export declare type IEditorProps = IEditorTextProps | IEditorDiffTextProps;
export declare const ResourceEditor: React.FC<IEditorContributionProps>;
export declare const TextDiffEditor: React.FC<IEditorContributionProps>;
export declare const BinaryResourceDiffEditor: React.FC<IEditorContributionProps>;
export declare const SideBySideEditor: React.FC<IEditorContributionProps>;
export declare const EditorContribution: (props: any) => JSX.Element;
